package com.ruoyi.postCheck.mapper;

import java.math.BigDecimal;
import java.util.List;
import com.ruoyi.postCheck.domain.PostCheckedProblem;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.postCheck.domain.problemStatistics.ProblemNumberBase;
import com.ruoyi.postCheck.domain.tools.ProblemCategory;

/**
 * 岗检问题表Mapper接口
 *
 * @author csg
 * @date 2023-12-23
 */
public interface PostCheckedProblemMapper extends BaseMapper<PostCheckedProblem>
{
    /**
     * 查询岗检问题表
     *
     * @param id 岗检问题表主键
     * @return 岗检问题表
     */
    public PostCheckedProblem selectPostCheckedProblemById(Long id);

    /**
     * 查询岗检问题表列表
     *
     * @param postCheckedProblem 岗检问题表
     * @return 岗检问题表集合
     */
    public List<PostCheckedProblem> selectPostCheckedProblemList(PostCheckedProblem postCheckedProblem);

    /**
     * 新增岗检问题表
     *
     * @param postCheckedProblem 岗检问题表
     * @return 结果
     */
    public int insertPostCheckedProblem(PostCheckedProblem postCheckedProblem);

    /**
     * 修改岗检问题表
     *
     * @param postCheckedProblem 岗检问题表
     * @return 结果
     */
    public int updatePostCheckedProblem(PostCheckedProblem postCheckedProblem);

    /**
     * 删除岗检问题表
     *
     * @param id 岗检问题表主键
     * @return 结果
     */
    public int deletePostCheckedProblemById(Long id);

    /**
     * 批量删除岗检问题表
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePostCheckedProblemByIds(Long[] ids);

    BigDecimal getPostTotalByDeptId(Long deptId);

    Integer selectCheckedPostCount(int status);

    /**
     * 按问题属性分组统计问题类别
     * @return
     */
    List<ProblemCategory> problemCategoryByAttribute();
}
